.c-overlay-cookies {
    --y-30: max(22px + (30 - 22) * ((100vw - 500px) / (1440 - 500)), 22px);
    --y-nus-25: max(20px + (25 - 20) * ((100vw - 500px) / (1440 - 500)), 20px);
    --y-nus-20: max(16px + (20 - 16) * ((100vw - 500px) / (1440 - 500)), 16px);
    --x-30: max(22px + (30 - 22) * ((100vw - 500px) / (1440 - 500)), 22px);
    --x-nus-25: max(22px + (25 - 22) * ((100vw - 500px) / (1440 - 500)), 22px);
}

.c-overlay-cookies {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    font-size: 10px;
    visibility: hidden;
    pointer-events: none;
    z-index: 110;
}

.c-overlay-cookies__container {
    position: absolute;
    bottom: var(--y-30);
    left: var(--x-30);
    width: 550px;
    padding: var(--y-nus-25) var(--x-nus-25);
    background-color: rgb(255, 255, 255);
    border-radius: 10px;
    box-shadow: 0 4px 18px 0 rgba(0, 0, 0, 0.10);
    opacity: 0;
    pointer-events: none;
    transform: translateY(var(--y-30));
    transition: opacity 800ms cubic-bezier(0.76, 0, 0.24, 1), transform 800ms cubic-bezier(0.76, 0, 0.24, 1);
    will-change: transform;
}

.c-overlay-cookies__title {
    font-size: 30px;
    font-weight: 700;
    line-height: 1.6em;
}

.c-overlay-cookies__text {
    display: block;
    font-size: 25px;
    line-height: 1.6em;
    margin-top: 7px;
}

.c-overlay-cookies__buttons {
    display: flex;
    margin-top: var(--y-nus-20);
}

.c-overlay-cookies__button-find-out-more,
.c-overlay-cookies__button-accept {
    width: 50%;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 !important;
    transition: background-color 300ms;
}

.c-overlay-cookies__button-find-out-more:hover {
    cursor: pointer;
    background-color: #c4c4c4;
}

.c-overlay-cookies__button-accept:hover {
    cursor: pointer;
    background-color: #545454;
}

.c-overlay-cookies__button-find-out-more .text,
.c-overlay-cookies__button-accept .text {
    transition: color 300ms ease 0s;
    font-size: 1.3rem;
    font-weight: 600;
    line-height: 1.3em;
}

.c-overlay-cookies__button-find-out-more {
    background-color: #f0f0f0;
    margin-right: 10px;
}

.c-overlay-cookies__button-accept  {
    background-color: #2a2a2a;
}

.c-overlay-cookies__button-accept .text {
    color: #fff;
}

/* OVERLAY VISIBLE */
.show-overlay-cookies .c-overlay-cookies {
    visibility: visible;
}

.show-overlay-cookies .c-overlay-cookies__container {
    opacity: 1;
    pointer-events: all;
    transform: none;
}

/* OVERLAY QUI FERME */
.show-overlay-cookies.closing-overlay-cookies .c-overlay-cookies__container {
    opacity: 0;
    transform: translateY(var(--y-30));
}